<?php
const DISCOVERY_URL = 'https://www.pixiv.net/ajax/discovery/artworks?mode=all&limit=%s';
const ARTWORK_INFO_URL = 'https://www.pixiv.net/ajax/illust/%s';
const ARTWORK_COMMENTS_URL = 'https://www.pixiv.net/ajax/illusts/comments/roots?illust_id=%s&limit=%s';
const ARTWORK_RELATED_URL = 'https://www.pixiv.net/ajax/illust/%s/recommend/init?limit=%s';
const USER_INFO_URL = 'https://www.pixiv.net/ajax/user/%s?full=1';
const USER_ARTWORKS_URL = 'https://www.pixiv.net/ajax/user/%s/profile/all';
const USER_ARTWORKS_INFO_URL = 'https://www.pixiv.net/ajax/user/%s/profile/illusts?work_category=illustManga&is_first_page=0&%s';
const USER_BOOKMARKS_URL = 'https://www.pixiv.net/ajax/user/%s/illusts/bookmarks?tag=&offset=%s&limit=%s&rest=show';
const SEARCH_ARTWORKS_URL = 'https://www.pixiv.net/ajax/search/artworks/%s?p=%s';
const SEARCH_TAG_URL = 'https://www.pixiv.net/ajax/search/tags/%s';

function get($url, &$response_headers = []) {
	$stream_context = [
		'http' => [
			'header' =>
				"Cookie: PHPSESSID=" . SESSION_ID . PHP_EOL .
				"User-Agent: Mozilla/5.0" . PHP_EOL .
				'Referer: https://www.pixiv.net/'
		]
	];
	if (PROXY) $stream_context['http']['proxy'] = 'tcp://' . PROXY;
	$response = file_get_contents($url, false, stream_context_create($stream_context));
	$response_headers = $http_response_header;
	if (strpos($response_headers[0], '200 OK') !== false) return $response;
	return false;
}
