<?php
function render_page_header($page_title) { ?>
	<!DOCTYPE html>
	<head>
		<title><?= $page_title ?> - LiteXiv</title>

		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">

		<link href="<?= BASE_URL ?>/main.css" rel="stylesheet">
	</head>

	<body>
		<nav>
			<div class="container">
				<div class="title">
					<a href="<?= BASE_URL ?>/">LiteXiv</a>
				</div>
				<form action="<?= BASE_URL ?>/tags/" method="post">
					<input type="text" name="id" placeholder="<?= get_string('search') ?>" required>
				</form>
				<div class="links">
					<a href="<?= BASE_URL ?>/settings/"><?= get_string('settings.title') ?></a>
				</div>
			</div>
		</nav>

		<main><?php
}
