<?php
$strings = [
	'date-format' => 'Y-m-d H:i',
	'pixiv-lang' => 'zh',
	'search' => '🔍 搜索作品',
	'error' => '错误',
	'no-works' => '无作品。',
	'all-hidden' => '由于所有作品均被隐藏，无作品可显示。',
	'load-more' => '加载更多',
	'discovery' => [
		'title' => '发现',
		'request-failed-message' => '获取推荐作品失败。'
	],
	'artworks'  => [
		'illegal-request' => '未指定 ID，或 ID 不合法。',
		'not-found' => '找不到该作品。',
		'hidden-r15' => '该作品因 R-15 而无法显示。',
		'hidden-r18' => '该作品因 R-18 而无法显示。',
		'hidden-r18g' => '该作品因 R-18G 而无法显示。',
		'hidden-aigc' => '该作品因 AI 生成而无法显示。',
		'image-alt' => '第 %s 页',
		'images-show-all' => '显示全部',
		'r18' => 'R-18',
		'r18g' => 'R-18G',
		'aigc' => 'AI 生成',
		'likes' => '点赞：%s',
		'bookmarks' => '收藏：%s',
		'views' => '浏览：%s',
		'comments' => '评论（%s）',
		'no-comments' => '暂无评论。',
		'comments-failed' => '获取评论失败。',
		'comments-show-more' => '显示更多',
		'related' => '相关作品'
	],
	'settings' => [
		'title' => '设置',
		'ssfw-notice' => '注意：本实例开启了“超级和谐”模式，将无视下方设置，隐藏所有 R-15、R-18 及 R-18G 作品。',
		'sfw-notice' => '注意：本实例开启了“和谐”模式，将无视下方设置，隐藏所有 R-18 及 R-18G 作品。',
		'show-r15' => '显示 R-15 作品',
		'show-r18' => '显示 R-18 作品',
		'show-r18g' => '显示 R-18G 作品',
		'show-aigc' => '显示 AI 生成作品',
		'language' => '语言',
		'en' => 'English',
		'zh' => '简体中文',
		'save' => '保存'
	],
	'tags' => [
		'not-found' => '找不到作品或页码无效。',
		'work-count' => '插画·漫画（%s）'
	],
	'users' => [
		'illegal-request' => '未指定 ID，或 ID 不合法。',
		'not-found' => '找不到该用户。',
		'all' => '所有作品',
		'illusts' => '插画',
		'manga' => '漫画',
		'bookmarks' => '收藏',
		'work-count' => '作品（%s）'
	],
	'proxy' => [
		'illegal-request' => '未指定目标地，或目标地不合法。'
	],
	'source-code' => '源代码',
	'license' => '许可证'
];
