<?php
require_once './include/utils.php';
require_once './include/artworks_grid.php';

$discovery = json_decode(
	get(sprintf(DISCOVERY_URL, 100))
)->body->thumbnails->illust;

if (!$discovery) {
	die_with_message(
		get_string('error'),
		get_string('discovery.request-failed')
	);
}

render_page_header(get_string('discovery.title'));
?>

<div class="container">
	<h1><?= get_string('discovery.title') ?></h1>
	<?php render_artworks_grid($discovery); ?>
</div>

<?php
render_page_footer();
