<?php
function render_artwork_images($artwork) { ?>
    <div class="artwork-images"><?php
		render_collapsed_content($artwork->pageCount > 1 ? 2 : 1, get_string('artworks.images-show-all'), function(bool $remaining) use ($artwork) {
			for ($p = ($remaining ? 1 : 0); $p < ($remaining ? $artwork->pageCount : 1); $p ++) { ?>
				<a target="_blank" href="<?= get_proxy_url(str_replace('_p0', '_p' . $p, $artwork->urls->original)) ?>">
					<img alt="<?= sprintf(get_string('artworks.image-alt'), $p + 1) ?>"
						src="<?= get_proxy_url(str_replace('_p0', '_p' . $p, $artwork->urls->regular)) ?>">
				</a><?php
			}
		}); ?>
	</div><?php
}
