<?php
$strings = [
	'date-format' => 'Y-m-d H:i',
	'pixiv-lang' => 'en',
	'search' => '🔍 Search works',
	'error' => 'Error',
	'no-works' => 'No works to show.',
	'all-hidden' => 'No work can be shown because all works have been hidden.',
	'load-more' => 'Load More',
	'discovery' => [
		'title' => 'Discovery',
		'request-failed' => 'Failed to fetch recommended artworks.'
	],
	'artworks'  => [
		'illegal-request' => 'ID is not specified or illegal.',
		'not-found' => 'Unable to find that artwork.',
		'hidden-r15' => 'This work can\'t be shown because it is R-15.',
		'hidden-r18' => 'This work can\'t be shown because it is R-18.',
		'hidden-r18g' => 'This work can\'t be shown because it is R-18G.',
		'hidden-aigc' => 'This work can\'t be shown because it is AI-generated.',
		'image-alt' => 'Page %s',
		'images-show-all' => 'Show All',
		'r18' => 'R-18',
		'r18g' => 'R-18G',
		'aigc' => 'AI-generated',
		'likes' => 'Likes: %s',
		'bookmarks' => 'Bookmarks: %s',
		'views' => 'Views: %s',
		'comments' => 'Comments (%s)',
		'no-comments' => 'No comments.',
		'comments-failed' => 'Failed to fetch comments',
		'comments-show-more' => 'Show More',
		'related' => 'Related works'
	],
	'settings' => [
		'title' => 'Settings',
		'ssfw-notice' => 'Note: This instance has enabled "Super Safe For Work" mode. All R-15, R-18 and R-18G works will be hidden, notwithstanding the settings below.',
		'sfw-notice' => 'Note: This instance has enabled "Safe For Work" mode. All R-18 and R-18G works will be hidden, notwithstanding the settings below.',
		'show-r15' => 'Show R-15 works',
		'show-r18' => 'Show R-18 works',
		'show-r18g' => 'Show R-18G works',
		'show-aigc' => 'Show AI-generated works',
		'language' => 'Language',
		'en' => 'English',
		'zh' => '简体中文',
		'save' => 'Save'
	],
	'tags' => [
		'not-found' => 'No works found or unexpected page number.',
		'work-count' => 'Illustrations and Manga (%s)'
	],
	'users' => [
		'illegal-request' => 'ID is not specified or illegal.',
		'not-found' => 'Unable to find that user.',
		'all' => 'All works',
		'illusts' => 'Illustrations',
		'manga' => 'Manga',
		'bookmarks' => 'Bookmarks',
		'work-count' => 'Works (%s)'
	],
	'proxy' => [
		'illegal-request' => 'Destination is not specified or illegal.'
	],
	'source-code' => 'Source Code',
	'license' => 'License'
];
